# CalendarWeek Class Reference
[Calendar representation's helpers]

Calendar week representation. More...

List of all members.

## Public Member Functions

| getDays ()
| addDay (CalendarDay $day)

## Static Public Member Functions

static | create ()

## Private Attributes

| $days = array()

## Detailed Description

Calendar week representation.

Definition at line 17 of file CalendarWeek.class.php.

## Member Function Documentation

CalendarWeek::addDay | ( | CalendarDay $ | day | ) |

Returns:
  CalendarWeek

Definition at line 37 of file CalendarWeek.class.php.

References Date::toDate().

Here is the call graph for this function:

static CalendarWeek::create | ( |  | ) | `[static]`

Returns:
  CalendarWeek

Definition at line 24 of file CalendarWeek.class.php.

CalendarWeek::getDays | ( |  | ) |

Definition at line 29 of file CalendarWeek.class.php.

## Member Data Documentation

CalendarWeek::$days = array()`[private]`

Definition at line 19 of file CalendarWeek.class.php.

The documentation for this class was generated from the following file:

- main/Base/CalendarWeek.class.php